org.apache.hc.client5.http.impl

## Class ScramException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.hc.core5.http.HttpException
      - - org.apache.hc.core5.http.ProtocolException
        - - org.apache.hc.client5.http.auth.AuthenticationException
          - - org.apache.hc.client5.http.impl.ScramException

All Implemented Interfaces:
  Serializable

    public class ScramException
    extends AuthenticationException

Represents an exception that occurs during SCRAM (Salted Challenge Response Authentication Mechanism) authentication.

SCRAM is a family of SASL mechanisms used for secure authentication. This exception is thrown when an error or issue is encountered during the SCRAM authentication process.

Since:
  5.6
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ScramException()` Constructs a new `ScramException` with `null` as its detail message.
`ScramException(String message)` Constructs a new `ScramException` with the specified detail message.
`ScramException(String message, Throwable cause)` Constructs a new `ScramException` with the specified detail message and cause.

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ScramException

    public ScramException()

Constructs a new `ScramException` with `null` as its detail message. The cause is not initialized and may be subsequently initialized by a call to `Throwable.initCause(java.lang.Throwable)`.

#### ScramException

    public ScramException(String message)

Constructs a new `ScramException` with the specified detail message. The cause is not initialized and may be subsequently initialized by a call to `Throwable.initCause(java.lang.Throwable)`.

Parameters:
  `message` - the detail message, saved for later retrieval by the `Throwable.getMessage()` method.

#### ScramException

    public ScramException(String message,
                          Throwable cause)

Constructs a new `ScramException` with the specified detail message and cause.

Parameters:
  `message` - the detail message, saved for later retrieval by the `Throwable.getMessage()` method.
  `cause` - the cause, saved for later retrieval by the `Throwable.getCause()` method. A `null` value indicates that the cause is nonexistent or unknown.